pro OH_line_list, OH
;
;   OH Night Sky line list - returns OH line structure
;
;   this list was built from the Rousellot et al list, but
;   convolved with the resolution of each spectral mode
;
;   ie, JHK+K has 2.77 nm resolution, J-3 has 2.14, J-4 has 1.62
;
;   and BVR/VPH has about 0.95 nm
;
;   DPC  20070822
;
nOH_modes = 7
;
OH_line_and_quality = [ $
             ;
             ;    BVR Optical Lines
             ;
             0.61428d0, 0, 0, 0, 0, 0, 0, 1, $
             0.61732d0, 0, 0, 0, 0, 0, 0, 1, $
             0.64694d0, 0, 0, 0, 0, 0, 0, 1, $
             0.65013d0, 0, 0, 0, 0, 0, 0, 1, $
             0.68331d0, 0, 0, 0, 0, 0, 0, 1, $
             0.68665d0, 0, 0, 0, 0, 0, 0, 1, $
             0.69026d0, 0, 0, 0, 0, 0, 0, 1, $
             0.69250d0, 0, 0, 0, 0, 0, 0, 1, $
             0.69507d0, 0, 0, 0, 0, 0, 0, 1, $
             0.72442d0, 0, 0, 0, 0, 0, 0, 1, $
             0.72789d0, 0, 0, 0, 0, 0, 0, 1, $
             0.75267d0, 0, 0, 0, 0, 0, 0, 1, $
             0.77172d0, 0, 0, 0, 0, 0, 0, 1, $
             0.77531d0, 0, 0, 0, 0, 0, 0, 1, $
             0.79166d0, 0, 0, 0, 0, 0, 0, 1, $
             0.79669d0, 0, 0, 0, 0, 0, 0, 1, $
             ;
             ;    Z-band lines
             ;
             1.08374d0, 0, 0, 0, 0, 0, 0, 0, $
             1.14432d0, 0, 0, 0, 0, 0, 0, 0, $
             1.15897d0, 0, 0, 0, 0, 0, 0, 0, $
             1.20152d0, 0, 0, 0, 0, 0, 0, 0, $   ; broad feature blend
             ;
             ;    J-band lines
             ;
             1.21244d0, 0, 0, 0, 1, 0, 0, 0, $
             1.21253d0, 0, 0, 1, 0, 0, 0, 0, $
             1.21260d0, 0, 0, 0, 0, 0, 0, 0, $
             ;
             1.22858d0, 0, 0, 0, 0, 0, 0, 0, $
             1.22867d0, 0, 0, 1, 0, 0, 0, 0, $
             1.22870d0, 0, 0, 0, 1, 0, 0, 0, $
                          ;
             1.27883d0, 1, 0, 0, 0, 0, 0, 0, $   ; broad feature blend
             ;
             1.29071d0, 0, 0, 0, 1, 0, 0, 0, $
             1.29083d0, 0, 0, 1, 0, 0, 0, 0, $
             1.29094d0, 0, 0, 0, 0, 0, 0, 0, $
             ;
             1.30843d0, 0, 0, 0, 0, 0, 0, 0, $
             1.30851d0, 0, 0, 1, 0, 0, 0, 0, $
             1.30853d0, 0, 0, 0, 1, 0, 0, 0, $
             ;
             1.32328d0, 0, 0, 0, 0, 0, 0, 0, $
             1.32356d0, 0, 0, 1, 0, 0, 0, 0, $
             1.32364d0, 0, 0, 0, 1, 0, 0, 0, $
             ;
             ; H-Band lines
             ;
             ;1.43461d0, 0, 0, 0, 1, 0, 0, $
             ;1.43467d0, 0, 0, 1, 0, 0, 0, $
             1.43474d0, 0, 0, 0, 0, 0, 0, 0, $
            ;
            ;1.45190d0, 0, 0, 1, 1, 0, 0, $
            1.45191d0, 0, 0, 0, 0, 0, 0, 0, $
            ;
            1.46045d0, 0, 0, 0, 0, 0, 0, 0, $
            ;1.46048d0, 0, 0, 1, 1, 0, 0, $
            ;
            1.48862d0, 1, 0, 0, 0, 0, 1, 0, $
           ; 1.48870d0, 0, 0, 1, 1, 0, 0, $
            ;
            ;1.50570d0, 0, 0, 0, 1, 0, 0, $
            ;1.50579d0, 0, 0, 1, 0, 0, 0, $
            1.50585d0, 1, 0, 0, 0, 0, 1, 0, $
            ;
            1.52410d0, 1, 0, 0, 0, 0, 1, 0, $
            ;
            ;1.53323d0, 0, 0, 1, 0, 0, 0, $
            ;1.53324d0, 0, 0, 0, 1, 0, 0, $
            1.53327d0, 1, 0, 0, 0, 0, 1, 0, $
            ;
            1.54317d0, 1, 0, 0, 0, 0, 1, 0, $
            ;1.54321d0, 0, 0, 1, 0, 0, 0, $
            ;1.54322d0, 0, 0, 0, 1, 0, 0, $
            ;
            1.56524d0, 1, 0, 0, 0, 0, 1, 0, $
            ;1.56543d0, 0, 0, 1, 0, 0, 0, $
            ;1.56551d0, 0, 0, 0, 1, 0, 0, $
            ;
            ;1.58346d0, 0, 0, 0, 1, 0, 0, $
            ;1.58356d0, 0, 0, 1, 0, 0, 0, $
            1.58364d0, 1, 0, 0, 0, 0, 1, 0, $
            ;
            ;1.60308d0, 0, 0, 1, 1, 0, 0, $
            1.60309d0, 1, 0, 0, 0, 0, 1, 0, $
            ;
            1.61286d0, 1, 0, 0, 0, 0, 1, 0, $
            ;
            1.62351d0, 1, 0, 0, 0, 0, 1, 0, $
            ;1.62354d0, 0, 0, 1, 1, 0, 0, $
            ;
            ;1.66931d0, 0, 0, 0, 1, 0, 0, $
            ;1.66946d0, 0, 0, 1, 0, 0, 0, $
            1.66955d0, 1, 0, 0, 0, 0, 1, 0, $
            ;
            1.69037d0, 1, 0, 0, 0, 0, 1, 0, $
            ;
            1.70087d0, 1, 0, 0, 0, 0, 1, 0, $
            ;1.70088d0, 0, 0, 1, 1, 0, 0, $
            ;
            1.71235d0, 1, 0, 0, 0, 0, 1, 0, $
            ;1.71237d0, 0, 0, 1, 1, 0, 0, $
            ;
            ;1.76538d0, 0, 0, 0, 1, 0, 0, $
            ;1.76552d0, 0, 0, 1, 0, 0, 0, $
            1.76564d0, 1, 0, 0, 0, 0, 1, 0, $
            ;
            1.78803d0, 1, 0, 0, 0, 0, 1, 0, $
            ;
            1.79937d0, 1, 0, 0, 0, 0, 1, 0, $
            ;1.79940d0, 0, 0, 1, 1, 0, 0, $
            ;
            1.81184d0, 1, 0, 0, 0, 0, 1, 0, $
           ; 1.81185d0, 0, 0, 1, 1, 0, 0, $
            ;
            ;   Ks-Band
            ;
            ;1.87446d0, 0, 0, 0, 1, 0, 0, $
            ;1.87460d0, 0, 0, 1, 0, 0, 0, $
            1.87476d0, 0, 0, 0, 0, 0, 0, 0, $
            ;
            1.89901d0, 0, 0, 0, 0, 0, 0, 0, $
            ;
            1.91141d0, 0, 0, 0, 0, 0, 0, 0, $
            ;
            1.92503d0, 1, 1, 0, 0, 0, 1, 0, $
            ;
            1.93505d0, 1, 1, 0, 0, 0, 1, 0, $
            ;
            ;1.93991d0, 1, 1, 0, 0, 0, 0, $
            ;
            1.97677d0, 1, 1, 0, 0, 0, 1, 0, $
            ;
            ;2.00080d0, 0, 0, 0, 1, 0, 0, $
            ;2.00090d0, 0, 0, 1, 0, 0, 0, $
            2.00110d0, 1, 1, 0, 0, 0, 1, 0, $
            ;
            2.02758d0, 1, 1, 0, 0, 0, 1, 0, $
            ;
            2.04127d0, 1, 1, 0, 0, 0, 1, 0, $
            ;
            2.05635d0, 1, 1, 0, 0, 0, 1, 0, $
            ;
            2.07290d0, 1, 1, 0, 0, 0, 1, 0, $
            ;
            2.09095d0, 1, 1, 0, 0, 0, 1, 0, $
            ;
            2.12462d0, 0, 0, 0, 0, 0, 0, 0, $
            ;2.12470d0, 0, 0, 1, 0, 0, 0, $
            ;2.12486d0, 0, 0, 0, 1, 0, 0, $
            ;
            ;2.15072d0, 0, 0, 0, 1, 0, 0, $
            ;2.15074d0, 0, 0, 1, 0, 0, 0, $
            2.15090d0, 1, 1, 0, 0, 0, 1, 0, $
            ;
            2.18022d0, 1, 1, 0, 0, 0, 1, 0, $
            ;2.18023d0, 0, 0, 1, 1, 0, 0, $
            ;
            2.19556d0, 1, 1, 0, 0, 0, 1, 0, $
            ;
            2.21255d0, 1, 1, 0, 0, 0, 1, 0, $
            ;
            2.23127d0, 1, 1, 0, 0, 0, 1, 0, $
            ;
            2.25180d0, 1, 1, 0, 0, 0, 1, 0, $
            ;
            2.27419d0, 0, 0, 0, 0, 0, 0, 0, $
            ;2.27420d0, 0, 0, 1, 1, 0, 0, $
            ;
            ;   Klong - band
            ;
            2.29854d0, 0, 0, 0, 0, 0, 0, 0, $
            ;2.29855d0, 0, 0, 1, 1, 0, 0, $
            ;
            2.32491d0, 0, 0, 0, 0, 0, 0, 0, $
            ;
            2.35340d0, 0, 0, 0, 0, 0, 0, 0, $
            ;2.35349d0, 0, 0, 1, 0, 0, 0, $
            ;2.35350d0, 0, 0, 0, 1, 0, 0, $
            ;
            2.38416d0, 0, 1, 0, 0, 0, 1, 0   $
            ;2.38430d0, 0, 0, 1, 0, 0, 0, $
            ;2.38431d0, 0, 0, 0, 1, 0, 0, $
            ]
;
;   parse into line and quality arrays
;
OH_size = N_ELEMENTS(OH_line_and_quality)
nlines = OH_size / (nOH_modes + 1)
OH_line = dblarr(nlines)
OH_quality = intarr(nOH_modes, nlines)    ; (spec_mode, line)
;
for iline = 0, nlines-1 do begin
    jline = iline*(nOH_modes + 1)
    OH_line[iline] = OH_line_and_quality[jline]
    for spec_mode = 0, nOH_modes-1 do begin
       OH_quality[spec_mode, iline] = OH_line_and_quality[jline+spec_mode+1]
    endfor
endfor
;
nOH_lines = N_ELEMENTS(OH_line)
;
OH = {nlines: nOH_lines, wave: OH_line, qual: OH_quality}
;
end