function WCT_median_filter_image, image, zone
;
;   performs a MFM clean of an image
;   to remove spectral lines, if possible
;
;   zone is size of box over which to compute
;   MFM value - may be 2D
;
;   DPC 20070823
;
image_size = SIZE(image)
nx = image_size[1]
ny = image_size[2]
;
save_image = image   ; just in case
output_image = image * 0.0
;
zone_size = N_ELEMENTS(zone)
;
if(zone_size eq 1) then begin
    zone_x = zone
    zone_y = zone
endif else begin
    zone_x = zone[0]
    zone_y = zone[1]
    if(zone_y lt 1) then begin
    	zone_x2 = FLOOR(zone_x / 2)
    endif else begin
    	zone_x2 = 0
    endelse
endelse
;
;   for each pixel,
;
for ix = 0, nx-1 do begin
    for iy = 0, ny-1 do begin
       ;
       ; compute the vector of values to pass to MFM
       ;
       x1 = 0 > (ix - zone_x)
       x3 = 0 > (ix - zone_x2)
       x2 = (nx-1) < (ix + zone_x)
       x4 = (nx-1) < (ix + zone_x2)
       y1 = 0 > (iy - zone_y)
       y2 = (ny-1) < (iy + zone_y)
       ;
       dx = x2 - x1 + 1
       dy = y2 - y1 + 1
       ;
       if(zone_y lt 1) then begin
       		zone_image = [image[x1:x3,y1],image[x4:x2,y1]]
       		vec = REFORM(zone_image)
       endif else begin
	       zone_image = image[x1:x2, y1:y2]
	       ;
	       vec = REFORM(zone_image, dx*dy)
	   endelse
       ;
       ;zz = median_filtered_mean(vec)
       zz = d_MEDIAN(vec)
       ;
       output_image[ix, iy] = zz
    endfor
endfor
;
return, output_image
;
end
