pro WCT_plot_spectrum_and_cal_lines, Event, x, y, line_list, line_qual, cal_mode, $
       TEXT=text
;
;   plots a spectrum and the line list locations into the base plot area
;
base_plot_id = WIDGET_INFO( Event.top, FIND_BY_UNAME="base_plot")
WIDGET_CONTROL, base_plot_id, GET_VALUE=win_no
;
wset, win_no
erase
;
device, decomposed=0
black = 14
loadct,0, /SILENT
tvlct, [0, 255, 0, 0, 255], [0, 0, 255, 0, 255], [0, 0, 0, 255, 255], 10
;
;   separate fit lines from lines not used in the fit
;
ind = WHERE(line_qual eq 1, nfit)
;
xind = WHERE(line_qual ne 1, xfit)
;
xmin = min(x)
xmax = max(x)
dx = xmax - xmin
xmin -= 0.02*dx
xmax += 0.02*dx
;
ymin = min(y)
ymax = max(y)
dy = ymax - ymin
ymax = ymax + 0.1*dy
ymin = ymin-0.05*dy
dy = ymax-ymin
;
;   base plot, no spectrum
;
plot, x, y, xrange=[xmin, xmax], yrange=[ymin, ymax], xstyle=1, ystyle=1, $
    psym=0, /nodata, YMARGIN=[4,2]
;
;   fitted line locations
;
if(nfit gt 0) then begin
    yy = [ymin, ymax-0.15*dy]
    for iline = 0, nfit-1 do begin
        j = ind[iline]
        xx = abs([line_list[j], line_list[j]])
        oplot, xx, yy, color=12, linestyle=2
        ;
        ;   and add line number
        ;
        ;print, "yy[1] = ",yy[1]
        xyouts, xx[0]+0.004*dx,yy[1], STRING(format='(i3)',j+1), ORIENTATION=90.0, $
               ALIGNMENT=0.0
    endfor
endif
;
;   lines not fit
;
if(xfit gt 0) then begin
    ;yyx = [ymax, ymax-0.10*dy]
    yyx = [ymax, ymin]
    for xline = 0, xfit-1 do begin
        k = xind[xline]
        xx = abs([line_list[k],line_list[k]])
        oplot, xx, yyx, color=13, linestyle= 1
    endfor
endif
;
;   and the spectum
;
oplot, x, y, color=11
;
;   finally, the cal mode
;
xc = xmin + 0.8*dx
yc = ymax - 0.4*dy
case cal_mode of
	0: cal = "Argon"
	1: cal = "OH"
	2: cal = "LM"
endcase
xyouts, xc, yc, cal, color=12, charsize=2.0, charthick=3.0
;
;   and any text
;
if(N_ELEMENTS(TEXT) eq 1) then begin
    yc = ymax - 0.2*dy
    xyouts, xc, yc, text, color=11, charsize=1.5, charthick=2
endif
;
end