pro WCT_show_status, Event
;
;   populates the status bar of the currently open tab/step
;
WIDGET_CONTROL, Event.top, GET_UVALUE=WCT_struct, /NO_COPY
;
;   get current step number
;
step_no = WCT_struct.current_step
;
;   find all the relevant widget ids
;
step_name = STRING(format='("S",i1,"_Status_")',step_no)
;
instrument_wname = step_name + "Instrument_Text_Box"
camera_wname = step_name + "Camera_Text_Box"
spec_wname = step_name + "Spec_Mode_Text_Box"
cal_wname = step_name + "Cal_Mode_Text_Box"
debug_wname = step_name + "Debug_Text_Box"
;
instrument_id = WIDGET_INFO( Event.top, FIND_BY_UNAME=instrument_wname)
camera_id = WIDGET_INFO( Event.top, FIND_BY_UNAME=camera_wname)
spec_id = WIDGET_INFO( Event.top, FIND_BY_UNAME=spec_wname)
cal_id = WIDGET_INFO( Event.top, FIND_BY_UNAME=cal_wname)
debug_id = WIDGET_INFO( Event.top, FIND_BY_UNAME=debug_wname)
;
;   populate instrument
;

case WCT_struct.instrument of
    0: instrument = "Mimir"
    1: instrument = 'PRISM'
endcase
WIDGET_CONTROL, instrument_id, SET_VALUE=instrument
;
;   populate camera
;
case WCT_struct.instrument of
    0: begin
         case WCT_struct.camera of
          0: camera = "F/5"
          1: camera = "F/17"
         endcase
       end
    1: camera = "F/4"
endcase
WIDGET_CONTROL, camera_id, SET_VALUE=camera
;
;   populate Spec mode
;
case WCT_struct.spec_mode of
    0: spec = "JHK-Spec"
    1: spec = "K-Spec"
    2: spec = "J-3rd Ord."
    3: spec = "J-4th Ord."
    4: spec = "LM-Spec"
    5: spec = "HK-Spec"
    6: spec = "K17-Spec"
    7: spec = "IZYJ-1"
    8: spec = "IZYJ-2"
    9: spec = "H17"
    10: spec = "IZ17"
    11: spec = "BVR/VPH"
endcase
WIDGET_CONTROL, spec_id, SET_VALUE=spec
;
;   populate cal mode
;
case WCT_struct.cal_mode of
    0: cal = "Ar"
    1: cal = "OH"
    2: cal = "LM"
endcase
WIDGET_CONTROL, cal_id, SET_VALUE=cal
;
;   and debug flag
;
case WCT_struct.debug_flag of
    0: debug = "Off"
    1: debug = "On"
endcase
WIDGET_CONTROL, debug_id, SET_VALUE=debug
;
;   done, clean up and quit
;
WIDGET_CONTROL, Event.top, SET_UVALUE=WCT_struct, /NO_COPY
;
end